Summary:		A Transport-Independent RPC library for Linux
Name:			libtirpc
Version:		1.3.3
Release:		3%{?dist}
License:		SISSL and BSD
URL:  			http://git.linux-nfs.org/?p=steved/libtirpc.git;a=summary
Source0:		http://downloads.sourceforge.net/libtirpc/%{name}-%{version}.tar.bz2

BuildRequires:	automake autoconf libtool pkgconfig gcc make
BuildRequires:	krb5-devel

%description
This package contains SunLib's implementation of transport-independent
RPC (TI-RPC) documentation.  This library forms a piece of the base of 
Open Network Computing (ONC), and is derived directly from the 
Solaris 2.3 source.

TI-RPC is an enhanced version of TS-RPC that requires the UNIX System V 
Transport Layer Interface (TLI) or an equivalent X/Open Transport Interface 
(XTI).  TI-RPC is on-the-wire compatible with the TS-RPC, which is supported 
by almost 70 vendors on all major operating systems.  TS-RPC source code 
(RPCSRC 4.0) remains available from several internet sites.

%package devel
Summary:		Header files and libraries for libtirpc development
Requires:		%{name} = %{version}-%{release}
Requires:		pkgconfig

%description devel
This package provides header files and libraries for libtirpc development.

%prep
%autosetup

%build
sh autogen.sh
%configure
%make_build

%install
%make_install libdir=/%{_lib} pkgconfigdir=%{_libdir}/pkgconfig
mv %{buildroot}%{_mandir}/man3 %{buildroot}%{_mandir}/man3t

rm -f %{buildroot}/%{_lib}/*.{a,la}

%files
%license COPYING
%doc AUTHORS ChangeLog NEWS README
%config(noreplace)%{_sysconfdir}/netconfig
%config(noreplace)%{_sysconfdir}/bindresvport.blacklist
/%{_lib}/libtirpc.so.*

%files devel
%license COPYING
%dir %{_includedir}/tirpc
%dir %{_includedir}/tirpc/*
%{_includedir}/tirpc/netconfig.h
%{_includedir}/tirpc/*/*.*
%{_libdir}/pkgconfig/libtirpc.pc
/%{_lib}/libtirpc.so
%{_mandir}/*/*

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.3-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.3-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Aug 18 2022 Xiaojie Chen <jackxjchen@tencent.com> - 1.3.3-1
- Initial build
